UbixOS V2 2.0

Data Fields
sFL_FILE Struct Reference

`#include <fat_filelib.h>`

Collaboration diagram for sFL_FILE:

## Data Fields
uint32 | bytenum
uint32 | file_data_address
int | file_data_dirty
uint8 | file_data_sector [512]
uint32 | filelength
int | filelength_changed
char | filename [260]
uint8 | flags
struct cluster_lookup | last_fat_lookup
struct fat_node | list_node
uint32 | parentcluster
char | path [260]
uint8 | shortfilename [11]
uint32 | startcluster

## Detailed Description

Definition at line 38 of file fat_filelib.h.

## Field Documentation

## ◆ bytenum

uint32 sFL_FILE::bytenum

Definition at line 42 of file fat_filelib.h.

## ◆ file_data_address

uint32 sFL_FILE::file_data_address

Definition at line 59 of file fat_filelib.h.

## ◆ file_data_dirty

int sFL_FILE::file_data_dirty

Definition at line 60 of file fat_filelib.h.

## ◆ file_data_sector

uint8 sFL_FILE::file_data_sector[512]

Definition at line 58 of file fat_filelib.h.

## ◆ filelength

uint32 sFL_FILE::filelength

Definition at line 43 of file fat_filelib.h.

Referenced by open_fat().

## ◆ filelength_changed

int sFL_FILE::filelength_changed

Definition at line 44 of file fat_filelib.h.

## ◆ filename

char sFL_FILE::filename[260]

Definition at line 46 of file fat_filelib.h.

## ◆ flags

uint8 sFL_FILE::flags

Definition at line 63 of file fat_filelib.h.

## ◆ last_fat_lookup

struct cluster_lookup sFL_FILE::last_fat_lookup

Definition at line 55 of file fat_filelib.h.

## ◆ list_node

struct fat_node sFL_FILE::list_node

Definition at line 71 of file fat_filelib.h.

## ◆ parentcluster

uint32 sFL_FILE::parentcluster

Definition at line 40 of file fat_filelib.h.

## ◆ path

char sFL_FILE::path[260]

Definition at line 45 of file fat_filelib.h.

## ◆ shortfilename

uint8 sFL_FILE::shortfilename[11]

Definition at line 47 of file fat_filelib.h.

## ◆ startcluster

uint32 sFL_FILE::startcluster

Definition at line 41 of file fat_filelib.h.

Referenced by open_fat().

The documentation for this struct was generated from the following file:

- C:/Dev/git/UbixOS/sys/fs/fat/fat_filelib.h